﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Data;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Imaging;
using System.Windows.Navigation;
using System.Windows.Shapes;
using WpfApplication1.Views.Gauges;

namespace WpfApplication1
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
            // setting the data context initializes the Bound radial gauge;
            //  you'll notice the label group and scale appear appropraitely,
            //  but the needle does not
            this.DataContext = new ObservableCollection<object>{ new object() };

            // this code invokes the same initialization code as the dependency property used 
            //  to load the bound radial, all gauge elements including the needle
            //  appear appropriately
            ScaleBindingInfo.AddGaugeElements( UnboundGauge );
        }
    }
}
