﻿using System.Windows;
using System.Windows.Controls;

namespace WpfApplication1.Views.Gauges
{
    public class ScaleDataContext : DependencyObject
    {
        public static DependencyProperty ItemProperty =
            DependencyProperty.Register("Item",
                                        typeof(object), typeof(ScaleDataContext),
                                        new PropertyMetadata(null,
                                                             (o, e) =>
                                                             {
                                                             }));

        public object Item
        {
            get { return GetValue(ItemProperty); }
            set { SetValue(ItemProperty, value); }
        }

        public static DependencyProperty OuterContextProperty =
            DependencyProperty.Register("OuterContext",
                                        typeof(object), typeof(ScaleDataContext),
                                        new PropertyMetadata(null,
                                                             (o, e) =>
                                                             {
                                                             }));

        public object OuterContext
        {
            get { return GetValue(OuterContextProperty); }
            set { SetValue(OuterContextProperty, value); }
        }

        public static DependencyProperty OwnerProperty =
            DependencyProperty.Register("Owner",
                                        typeof(object), typeof(ScaleDataContext),
                                        new PropertyMetadata(null,
                                                             (o, e) =>
                                                             {
                                                             }));

        public Control Owner
        {
            get { return (Control)GetValue(OwnerProperty); }
            set { SetValue(OwnerProperty, value); }
        }
    }
}